Subject: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2020 11:14:15 +0200

> Date: Mon, 2 Mar 2020 05:22:57 +0000 (GMT)
> From: ndame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> > Do I understand correctly that the timers you are talking about are
> > those you yourself coded? If so, can you show the code which starts
> > one of those timers which you sometimes find with negative Next time?
> 
> I did not do anything special, I just start them. E.g:
> 
>    (run-with-timer 10 30 'my-function)
> 
> This timer checks my todo list regularly and tells me if there is a scheduled
> todo tasks imminent. Occasionally, it stops working with negative value for
> Next in timer-list when the computer comes back from sleep.

When that happens next time, please show the exact value of the
relevant timer as a Lisp data structure.  (You should be able to find
it in the variable timer-list.)  Also, show the value returned by the
function current-time at that point.

In addition, please show the information collected by
"M-x report-emacs-bug RET", I don't think you included it with your
original report.

Thanks.